Package com.xebialabs.xlrelease.domain.delivery

## Class TrackedItemStatusChangeSubscriber

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.delivery.Subscriber
    - - com.xebialabs.xlrelease.domain.delivery.TrackedItemStatusChangeSubscriber

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      public class TrackedItemStatusChangeSubscriber
      extends Subscriber

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TrackedItemStatusChangeSubscriber()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SubscriptionResult` | `evaluate​(Delivery delivery)` |
    `java.util.List<java.lang.String>` | `getItemIds()` |
    `TrackedItemStatus` | `getItemStatus()` |
    `java.lang.String` | `getStageId()` |
    `java.util.List<java.lang.String>` | `itemIds()` |
    `void` | `itemIds_$eq​(java.util.List<java.lang.String> x$1)` |
    `TrackedItemStatus` | `itemStatus()` |
    `void` | `itemStatus_$eq​(TrackedItemStatus x$1)` |
    `boolean` | `matches​(Delivery delivery, java.lang.String itemId, scala.Option<java.lang.String> stageId, scala.Option<TrackedItemStatus> status)` |
    `scala.Option<java.lang.String>` | `matches$default$3()` |
    `scala.Option<TrackedItemStatus>` | `matches$default$4()` |
    `void` | `setItemIds​(java.util.List<java.lang.String> x$1)` |
    `void` | `setItemStatus​(TrackedItemStatus x$1)` |
    `void` | `setStageId​(java.lang.String x$1)` |
    `java.lang.String` | `stageId()` |
    `void` | `stageId_$eq​(java.lang.String x$1)` |
    `void` | `validate​(Delivery delivery)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.delivery.Subscriber

      `getSourceId, isEqual, setSourceId, sourceId, sourceId_$eq`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TrackedItemStatusChangeSubscriber

          public TrackedItemStatusChangeSubscriber()

  - ### Method Detail

    - #### evaluate

          public SubscriptionResult evaluate​(Delivery delivery)

      Specified by:
        `evaluate` in class `Subscriber`

    - #### getItemIds

          public java.util.List<java.lang.String> getItemIds()

    - #### getItemStatus

          public TrackedItemStatus getItemStatus()

    - #### getStageId

          public java.lang.String getStageId()

    - #### itemIds

          public java.util.List<java.lang.String> itemIds()

    - #### itemIds_$eq

          public void itemIds_$eq​(java.util.List<java.lang.String> x$1)

    - #### itemStatus

          public TrackedItemStatus itemStatus()

    - #### itemStatus_$eq

          public void itemStatus_$eq​(TrackedItemStatus x$1)

    - #### matches

          public boolean matches​(Delivery delivery,
                                 java.lang.String itemId,
                                 scala.Option<java.lang.String> stageId,
                                 scala.Option<TrackedItemStatus> status)

    - #### matches$default$3

          public scala.Option<java.lang.String> matches$default$3()

    - #### matches$default$4

          public scala.Option<TrackedItemStatus> matches$default$4()

    - #### setItemIds

          public void setItemIds​(java.util.List<java.lang.String> x$1)

    - #### setItemStatus

          public void setItemStatus​(TrackedItemStatus x$1)

    - #### setStageId

          public void setStageId​(java.lang.String x$1)

    - #### stageId

          public java.lang.String stageId()

    - #### stageId_$eq

          public void stageId_$eq​(java.lang.String x$1)

    - #### validate

          public void validate​(Delivery delivery)

      Specified by:
        `validate` in class `Subscriber`